---
- name: Firewall setup
  become: yes
  tags:
    - k3s-kubeconfig
    - never
  block:
    - name: Replace https://localhost:6443 by https://master-pi:6443
      command: k3s kubectl config set-cluster default
        --server=https://{{ master_ip }}:6443
        --kubeconfig ~{{ os_user }}/.kube/config


    - name: ansible create local directory ~/.kube
      local_action:
        module: file
        path: "{{ lookup('env','HOME') }}/.kube"
        state: directory
      become: no

    - name: Storing in a path relative to the playbook
      fetch:
        src: ~{{ os_user }}/.kube/config
        dest: ~/.kube/config
        flat: yes
